=begin

"Phlatten plugin" v1.0	   by kyyu 		(Feb 2010)

This sketchup plugin makes your part completely flat, by projecting it to the ground plane (Z=0).
It can be under, above or in between the ground plane.  Doesn't matter.
** It also preserves and makes faces. **  
Just beware, that projections will distort the part, if it's not basically flat and horizontal, already.

Orginal Phlatten code by gasmasher @ the phlatforum.  
This snippet of code, is from the Phlatscript (a plugin that generates cnc gcode). 
Phlatscript is open source, licensed under (GNU GPL) General Public License.  
The GPL require that "released improved versions must also be free software".  
So my Phatten plugin is also free and released under the same GNU GPL license.  
You can freely us it and share with your friends.  
It can not be sold and if you improve the code, it must also be released as free software. 

I just repackaged it in the form of a seperate plugin, so you could assign a shortcut key to it.

For more info on the Phlatscript, free sketchup plans (especially rc planes), 
	and other plugins I may be working on, please visit the phlatforum.com

=end




    def kyyu_Phlatscript_Phlatten
	  # Following original code snippet is unchanged, as written by gasmasher @ the phlatforum
      # For now this will just project the lines along Z to 0 
      # TODO: Find a plane that intersects the selected edges and transform them to Z0 to keep existing line lengths
      del_edges = []
      new_edges = []
      edges = []
      faces = []
      Sketchup.active_model.start_operation "Phlattening selected edges", true
      Sketchup.active_model.selection.each { |entity| 
        edges.push(entity) if entity.kind_of?(Sketchup::Edge)  
        entity.erase! if entity.kind_of?(Sketchup::Face)
      }
      Sketchup.active_model.selection.clear

      edges.each { |edge|
        edge.faces.each { |face|
          face.erase! if face.valid?
        }
        pos1 = edge.vertices.first.position
        pos2 = edge.vertices.last.position
        pt1 = Geom::Point3d.new(pos1.x, pos1.y, 0)
        pt2 = Geom::Point3d.new(pos2.x, pos2.y, 0)
        del_edges.push(edge)
        new_edges.push([pt1,pt2])
      }

      Sketchup.active_model.entities.erase_entities del_edges
      new_edges.each { |pts| 
        edges = Sketchup.active_model.entities.add_edges(pts[0], pts[1])
        edges.each { |e| e.find_faces} if edges
      }

      Sketchup.active_model.commit_operation
    end

       
       plugins_menu = UI.menu("Plugins")
       plugins_menu.add_item("[ky] Phlatten") { kyyu_Phlatscript_Phlatten }
	   


